Delete an organization
delete
/api/organizations/{id} Delete an organization.
Permanently deletes an organization. Returns 204 No Content on success.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | required | Organization identifier |
Response
204 - Organization resource deleted
No response body.
Errors
403 - Forbidden
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
title | string | null | - | A short, human-readable summary of the problem. |
detail | string | null | - | A human-readable explanation specific to this occurrence of the problem. |
status | number | null | - | |
instance | string | null | - | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
type | string | - | A URI reference that identifies the problem type |
| Property | Type | Required | Description |
|---|---|---|---|
title | string | null | - | A short, human-readable summary of the problem. |
detail | string | null | - | A human-readable explanation specific to this occurrence of the problem. |
status | number | null | - | |
instance | string | null | - | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
type | string | - | A URI reference that identifies the problem type |
404 - Not found
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
title | string | null | - | A short, human-readable summary of the problem. |
detail | string | null | - | A human-readable explanation specific to this occurrence of the problem. |
status | number | null | - | |
instance | string | null | - | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
type | string | - | A URI reference that identifies the problem type |
| Property | Type | Required | Description |
|---|---|---|---|
title | string | null | - | A short, human-readable summary of the problem. |
detail | string | null | - | A human-readable explanation specific to this occurrence of the problem. |
status | number | null | - | |
instance | string | null | - | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
type | string | - | A URI reference that identifies the problem type |
409 - The organization cannot be deleted in its current state
Content-Type: application/problem+json
| Property | Type | Required | Description |
|---|---|---|---|
error_code | string | required | |
title | string | required | |
detail | string | required | |
status | integer | required |